Bug 173261 - "pear help uninstall" is incorrect
"pear help uninstall" is incorrect
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-11-15 13:53 EST by Josh Kelley
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-15 11:17:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Kelley 2005-11-15 13:53:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
"pear help uninstall" reports that -r (--register-only) is a valid command-line option, but that option is not implemented.

It would be nice if this option were implemented; it could make testing php-pear-* RPMs easier.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run "pear help uninstall" and note the documented -r option.
2. Run "pear uninstall -r XML_Parser"

Actual Results:  XML_Parser is unregistered and uninstalled.

Expected Results:  Ideally, XML_Parser is unregistered (no longer listed in "pear list") but its files are still present.

Less ideally, "pear help uninstall" would not list -r as an option, and "pear uninstall -r XML_Parser" would error out.

Additional info:
Comment 1 Tim Jackson 2005-12-31 07:03:19 EST
I haven't tested with php-5.0.4, but with php-pear-1.4.5-5 this seems to be
fine. I just installed the DB package, then did:

pear uninstall --register-only DB

and now it is gone from "pear list", but:

# ls /usr/share/pear/DB*

common.php  ibase.php  mssql.php   oci8.php   sqlite.php
dbase.php   ifx.php    mysqli.php  odbc.php   storage.php
fbsql.php   msql.php   mysql.php   pgsql.php  sybase.php


It's all still there.
If you are still experiencing problems, you may be better off pushing this
upstream to the PEAR guys.

Note You need to log in before you can comment on or make changes to this bug.